package com.docus.server.archive.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 病案基本信息
 * </p>
 *
 * @author jersey
 * @since 2023-11-28
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="TBasic对象", description="病案基本信息")
public class TBasic implements Serializable {

    private static final long serialVersionUID = 1L;


    private String patientId;

    @ApiModelProperty(value = "住院次数")
    private Integer admissTimes;

    @ApiModelProperty(value = "病案号")
    private String inpatientNo;

    @ApiModelProperty(value = "住院ID号")
    private String admissId;

    @ApiModelProperty(value = "患者姓名")
    private String name;

    @ApiModelProperty(value = "盘号")
    private String ph;

    @ApiModelProperty(value = "患者姓名首拼")
    private String nameSpell;

    @ApiModelProperty(value = "性别")
    private String sex;

    @ApiModelProperty(value = "年龄_岁")
    private Integer age;

    @ApiModelProperty(value = "年龄_月")
    private Integer ageMonth;

    @ApiModelProperty(value = "年龄_天")
    private Integer ageDay;

    @ApiModelProperty(value = "身份证")
    private String idCard;

    @ApiModelProperty(value = "手机号码")
    private String telphone;

    @ApiModelProperty(value = "住院日期")
    private Date admissDate;

    @ApiModelProperty(value = "住院科室")
    private String admissDept;

    @ApiModelProperty(value = "住院科室名称")
    private String admissDeptName;

    @ApiModelProperty(value = "出院日期")
    private Date disDate;

    @ApiModelProperty(value = "出院科室")
    private String disDept;

    @ApiModelProperty(value = "出院科室名称")
    private String disDeptName;

    @ApiModelProperty(value = "实际住院天数")
    private Integer admissDays;

    @ApiModelProperty(value = "主管医生")
    private String attending;

    @ApiModelProperty(value = "主管医生名称")
    private String attendingName;

    @ApiModelProperty(value = "主要诊断编码")
    private String mainDiagCode;

    @ApiModelProperty(value = "主要诊断名称")
    private String mainDiagName;

    @ApiModelProperty(value = "主要手术编码")
    private String mainOperateCode;

    @ApiModelProperty(value = "主要手术名称")
    private String mainOperateName;

    @ApiModelProperty(value = "是否死亡")
    private Integer isDead;

    @ApiModelProperty(value = "是否作废(0：否，1：是)")
    private Integer isCancel;

    @ApiModelProperty(value = "签收时间")
    private Date signTime;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "修改时间")
    private Date updateTime;

    @ApiModelProperty(value = "是否归档 1：已归档，0：未归档")
    private Integer isArchive;

    @ApiModelProperty(value = "归档时间")
    private Date archiveTime;

    @ApiModelProperty(value = " 1 归档采集（pdf），2 异地扫描（图片），3 现场扫描（pdf），4 其他来源")
    private Integer fileSource;

    @ApiModelProperty(value = "完整性描述")
    private String integrityDesc;

    @ApiModelProperty(value = "扫描生产软件-视频脑电图号")
    private String bColumn1;

    @ApiModelProperty(value = "扫描生产软件-ep号")
    private String bColumn2;

    @ApiModelProperty(value = "茂名流水号")
    private String bColumn3;

    @ApiModelProperty(value = "扫描生产软件-门诊号")
    private String bColumn4;

    @ApiModelProperty(value = "顺德人医新jzh查询")
    private String bColumn5;

    private Integer bColumn6;

    private Integer bColumn7;

    private Integer bColumn8;

    private Integer bColumn9;

    private Integer bColumn10;

    @ApiModelProperty(value = "性别名称")
    private String sexName;

    @ApiModelProperty(value = "记账号(省中医住院就诊号)")
    private String jzh;

    @ApiModelProperty(value = "省中医患者主索引号")
    private String empId;

    @ApiModelProperty(value = "就诊类别代码")
    private String visitTypeCode;

    @ApiModelProperty(value = "就诊类别名称")
    private String visitTypeName;

    @ApiModelProperty(value = "中医诊断代码")
    private String tcmDiagCode;

    @ApiModelProperty(value = "中医诊断名称")
    private String tcmDiagName;

    @ApiModelProperty(value = "所在院区")
    private String wardPalce;

    @ApiModelProperty(value = "床号位")
    private String bedNum;

    @ApiModelProperty(value = "责任护士")
    private String dutyNurse;

    @ApiModelProperty(value = "是否手术")
    private String isOper;

    @ApiModelProperty(value = "现住址")
    private String homeAddr;

    @ApiModelProperty(value = "损伤中毒")
    private String poisoningName;

    @ApiModelProperty(value = "病理诊断")
    private String pathologyName;

    @ApiModelProperty(value = "其他诊断")
    private String otherDiagName;

    @ApiModelProperty(value = "联系方式")
    private String homeTel;

    @ApiModelProperty(value = "接收时间，目前澄海人医 使用")
    private Date receiveTime;

    @ApiModelProperty(value = "状态 1：封存，3：锁定")
    private Integer state;

    @ApiModelProperty(value = "是否扫描 2否 1是")
    private String scanSource;

    @ApiModelProperty(value = "暂缓审核配置id ,隔开")
    private String cqcDeferAuditConfigId;

    @ApiModelProperty(value = "病案是否批注 0：没有批注 1：有批注")
    private Integer commentStatus;

    @ApiModelProperty(value = "医生提交状态(0:未提交，1：已提交)")
    private Integer doctorState;

    @ApiModelProperty(value = "护士提交状态")
    private Integer nurseState;

    @ApiModelProperty(value = "纸质签收 0：未签收 1：已签收")
    private Integer cqcSigninfo;

    @ApiModelProperty(value = "审核状态 0：否 1：是")
    private Integer tagState;

    @ApiModelProperty(value = "是否转科 0否;1是")
    private Integer convertDept;

    @ApiModelProperty(value = "上架号")
    private String groundingNo;

    @ApiModelProperty(value = "外部id，通过导入等需要留存原来数据的主键")
    private String externalId;

    @ApiModelProperty(value = "扫描上传状态,0:未扫描、1:待质检、2:已退回、3:系统通过、4:人工通过，5:已返工")
    private Integer scanUploadState;

    @ApiModelProperty(value = "是否退回过,0:否，1：是")
    private Integer isBackScan;

    @ApiModelProperty(value = "扫描上传时间")
    private Date scanUploadTime;

    @ApiModelProperty(value = "返工上传时间")
    private Date reUploadTime;

    @ApiModelProperty(value = "当前操作节点 多个以,分隔")
    private String currentNodes;

    @ApiModelProperty(value = "档案文件存储类型，1：pdf（默认）2：图片")
    private Integer archiveFileStorageType;

    @ApiModelProperty(value = "护理采集状态 0否,1是")
    private Integer nursCollect;

    @ApiModelProperty(value = "重症采集状态 0否,1是")
    private Integer icuCollect;

    @ApiModelProperty(value = "是否重症病人 0否,1是")
    private Integer isIcu;

    @ApiModelProperty(value = "电子病历提交状态 0否,1是")
    private Integer emrSubmit;

    @ApiModelProperty(value = "是否标记编码 0否，1是")
    private Integer isCoder;

    @ApiModelProperty(value = "病区编号")
    private String wardCode;

    @ApiModelProperty(value = "病区名称")
    private String wardName;

    @ApiModelProperty(value = "是否其他数据 0否，1是婴儿，2医疗保险类别是家庭病床")
    private Integer isOther;

    @ApiModelProperty(value = "是否退回 0否 1是")
    private Integer isBack;

    @ApiModelProperty(value = "是否签出 0否 1是")
    private Integer signOut;

    @ApiModelProperty(value = "是否返修 0否 1是")
    private Integer backRepair;

    @ApiModelProperty(value = "婴儿母亲住院流水号")
    private String motherInpatientNo;

    @ApiModelProperty(value = "是否打印 0否 1是")
    private Integer isPrint;


}
