package com.docus.server.mzsy.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * 梅州三院检验、检查、心电等报告视图
 *
 * @author YongBin Wen
 * @date 2024/8/16 14:39
 */
@Data
@ApiModel("梅州三院检验、检查、心电等报告视图")
public class MzsyReportDataView {

    @ApiModelProperty("住院号")
    private String zyh;
    @ApiModelProperty("住院次数")
    private Integer zycs;
    @ApiModelProperty("文件ID（主键）定义文件唯一")
    private String ffileId;
    @ApiModelProperty("文件名称")
    private String ffileName;
    @ApiModelProperty("申请时间")
    private Date ffileAfTime;
    @ApiModelProperty("报告时间")
    private Date ffileTime;
    @ApiModelProperty("文件路径  HTTP路径")
    private String ffilePath;
    @ApiModelProperty("记账号（住院流水号）匹配患者主键唯一值")
    private String fpatJzh;
    @ApiModelProperty("分检验，检查，心电等，LIS、US，DX，CT，ECG")
    private String fpatModule;
    @ApiModelProperty("最后更新时间")
    private Date updateTime;
}
