package com.docus.server.mzsy.mapper;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.docus.server.mzsy.entity.MzsyMectReportView;
import com.docus.server.mzsy.entity.MzsyReportDataView;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author YongBin Wen
 * @date 2024/8/16 14:42
 */
@DS("mzsy")
@Mapper
public interface MzsyReportDataViewMapper {
    /**
     * 根据患者记账号和额外条件查询视图数据
     *
     * @param patJzh       记账号
     * @param extCondition 额外条件
     * @return 视图数据
     */
    List<MzsyReportDataView> findByPatJzhAndOtherCondition(@Param("jzh") String patJzh, @Param("ext") String extCondition);


    /**
     * 根据患者记账号和额外条件查询视图数据
     *
     * @param patId       记账号
     * @param extCondition 额外条件
     * @return 视图数据
     */
    List<MzsyMectReportView> findByPatIdAndOtherCondition(@Param("patId") String patId, @Param("ext") String extCondition);
}
