package com.docus.server.mzsy.mapper;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.docus.server.mzsy.entity.MzsyShoumaReportDataView;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author YongBin Wen
 * @date 2024/8/16 14:42
 */
@DS("mzsy-shouma")
@Mapper
public interface MzsyShoumaReportDataViewMapper {
    /**
     * 根据患者住院号和住院次数和额外条件查询手麻视图数据
     *
     * @param inpatientNo       住院号
     * @param admissTimes       住院次数
     * @param extCondition 额外条件
     * @return 视图数据
     */
    List<MzsyShoumaReportDataView> findByinpNoAndTimesAndOtherCondition(@Param("inpatientNo") String inpatientNo, @Param("admissTimes")String admissTimes, @Param("ext") String extCondition);
}
