package com.docus.server.rpc;

import com.docus.server.rpc.dto.MzZyyShouMaMedicalDocumentFileForBase64Dto;
import com.docus.server.rpc.dto.MzZyyShouMaMedicalDocumentInfoDto;
import com.docus.server.rpc.dto.MzZyyShouMaQueryMedicalDocumentInfoDto;

/**
 * @author YongBin Wen
 * @date 2025/3/18 9:27
 */
public interface MzZyyShouMaService {
    /**
     * 查询医疗文书列表信息
     *
     * @param dto 参数
     * @return 结果
     */
    MzZyyShouMaMedicalDocumentInfoDto queryMedicalDocumentInfoList(MzZyyShouMaQueryMedicalDocumentInfoDto dto);

    /**
     * 查询医疗文书PDF信息
     *
     * @param reportNo 对应查《询医疗文书列表信息》接口中reportId
     * @return 文件信息base64
     */
    MzZyyShouMaMedicalDocumentFileForBase64Dto getMedicalDocumentFileForBase64(String reportNo);
}
