package com.docus.server.rpc.dto;

import lombok.Data;

import java.util.List;

/**
 * @author YongBin Wen
 * @date 2025/3/27 10:04
 */
@Data
public class MzZyyShouMaMedicalDocumentInfoDto {
    /**
     * 正常的状态 ok，错误的状态 ng
     */
    private String status;
    private String code;
    private String message;
    private List<Data> data;

    @lombok.Data
    public static class Data {
        /**
         * 报告唯一编码
         */
        private String reportId;
        /**
         * 医院编码
         */
        private String hospCode;
        /**
         * 院区编码
         */
        private String branchCode;
        /**
         * 报告类型名称
         */
        private String reportTypeName;
        /**
         * 报告类型编码
         */
        private String reportTypeCode;
        /**
         * 归档时间 yyyy-MM-dd HH:mm:ss
         */
        private String archiveTime;
        /**
         * PDF url地址 此地址需要手麻工程师配置服务访问地址前缀“http://ip:port/odbip”,如果没配置，看到的地址为不带前缀的内部服务地址，需要联系手麻工程师调整配置，以免影响正常访问。
         */
        private String pdfUrl;
    }
}
