package com.docus.server.sdry.mapper;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.docus.server.archive.dto.PatientInfoDto;
import com.docus.server.sdry.entity.ShouMaView;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author YongBin Wen
 * @date 2024/7/12 14:37
 */
@DS("shouMa")
@Mapper
public interface ShouMaViewMapper {
    /**
     * 根据患者信息获取手麻视图的数据
     *
     * @param patientInfoDto 患者信息
     * @param extraCondition 额外的sql条件
     * @return 手麻视图数据
     */
    List<ShouMaView> getPatientShouMaView(@Param("patient") PatientInfoDto patientInfoDto, @Param("ext") String extraCondition);
}
